S3 Delete Bucket
  • 31 May 2023
  • Dark
    Light

S3 Delete Bucket

  • Dark
    Light

Article summary

DELETEhttps://s3.<your-region>.backblazeb2.com/<your-bucket-name>

Deletes the bucket specified. Only buckets that contain no versions of any files can be deleted.

AUTHORIZATION AWS Signature

This request is using AWS Signature from collection Backblaze B2 Cloud Storage S3 Compatible API.

PATH VARIABLES

bucket

Required. Specifies the bucket to delete.

Example Request

curl --location --request DELETE 'https://s3.<your-region>.backblazeb2.com/my-bucket-name'

Example Response

204 NO CONTENT

Body

No response body

This request doesn't return any response body


Headers (9)

x-amz-request-id699c79d678ac85eb

x-amz-id-2

aMb41pGbJOWYzrTUIY0JmFjSgZMljS2L4

Cache-Control

max-age=0, no-cache, no-store

Content-Type


Date

Fri, 28 Jan 2022 22:46:26 GMT

Keep-Alive

timeout=5

Connection

keep-alive







Was this article helpful?